## black-plastic-theme 1.0

=== debian/changelog ===
black-plastic-theme (1.0) stable; urgency=low

  * initial release

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 09 Jun 2010 02:29:46 -0700

## black-plastic-theme 1.1

=== debian/changelog ===
black-plastic-theme (1.1) stable; urgency=low

  * removed background-boxes from top bar icons
  * changed list items background a bit

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 09 Jun 2010 05:44:19 -0700 

## black-plastic-theme 1.2

=== debian/changelog ===
black-plastic-theme (1.2) stable; urgency=low

  * changed some white areas to gray for improved readability

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 09 Jun 2010 05:56:19 -0700 

## black-plastic-theme 1.3

=== debian/changelog ===
black-plastic-theme (1.3) stable; urgency=low

  * changed some more white areas to gray for improved readability
  * fixed MicroB's loading indicator to be visible

 -- D-Iivil <ricky@hevikaraoke.fi>  Thu, 10 Jun 2010 08:56:42 -0700 

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGNAME := black-plastic-theme

HAVE_TEMPLATES = `test -f applications/startup-wizard/template.png \
                 -a -f template/template.png`

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./autogen.sh --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-doc-dir=\$${prefix}/share/doc

build: build-stamp
build-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	if $(HAVE_TEMPLATES); then $(MAKE); fi
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f install-stamp
	rm -f debian/files
	# Add here commands to clean up after the build process.
	-$(MAKE) maintainer-clean
	rm -rf debian/$(PKGNAME)
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/build
	if $(HAVE_TEMPLATES); then \
	  $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PKGNAME); \
	fi

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	maemo-optify $(PKGNAME)
	dh_md5sums
	dh_builddeb
	

# Build architecture-dependent files here.
binary-arch: build install
	# Make sure that dpkg-genchanges will not fail,
	# but there is nothing else to do.
	touch debian/files

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## black-plastic-theme 1.4

=== debian/changelog ===
black-plastic-theme (1.4) stable; urgency=low

  * reverted application manager icons to default ones
  * fixed a small grapchis error in dialog window

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 16 Jun 2010 23:56:21 -0700 

## black-plastic-theme 1.5

=== debian/changelog ===
black-plastic-theme (1.5) stable; urgency=low

  * adjusted transitions a bit

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 16 Jun 2010 01:56:21 -0700 

## black-plastic-theme 1.6

=== debian/changelog ===
black-plastic-theme (1.6) stable; urgency=low

  * adjusted transitions a bit more
  * customized app-manager icons

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 16 Jun 2010 01:56:21 -0700 

=== debian/rules ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol
+	cp -rf $(CURDIR)/applications/transitions/*.ini  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	maemo-optify $(PKGNAME)
 	dh_md5sums
 	dh_builddeb

## black-plastic-theme 1.6-1

=== debian/changelog ===
black-plastic-theme (1.6-1) stable; urgency=low

  * adjusted transitions a bit more and more
  * customized the app manager icons once more

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 18 Jun 2010 01:56:21 -0700 

## black-plastic-theme 1.6-2

=== debian/changelog ===
black-plastic-theme (1.6-2) stable; urgency=low

  * fixed wrong background image at application manager

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 18 Jun 2010 01:56:21 -0700 

## black-plastic-theme 1.6-3

=== debian/changelog ===
black-plastic-theme (1.6-3) stable; urgency=low

  * new icons for top menu

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 18 Jun 2010 01:56:21 -0700 

## black-plastic-theme 1.6-4

=== debian/changelog ===
black-plastic-theme (1.6-4) stable; urgency=low

  * new icons for conversations application

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 18 Jun 2010 02:56:21 -0700 

## black-plastic-theme 1.6-5

=== debian/changelog ===
black-plastic-theme (1.6-5) stable; urgency=low

  * more customized icons
  * smoother translations

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 19 Jun 2010 02:56:21 -0700 

## black-plastic-theme 2.307

=== applications/plastic-setup-source/Makefile ===
#############################################################################
# Makefile for building: setupblackplastic
# Generated by qmake (2.01a) (Qt 4.6.2) on: ma 23. elo 13:16:40 2010
# Project:  setupblackplastic.pro
# Template: app
# Command: c:/nokiaqtsdk/maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe -spec ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -unix -o Makefile setupblackplastic.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -I. -I../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtCore -I../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtGui -I../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include -I/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,C:/usr/lib -Wl,-rpath,C:/usr/lib
LIBS          = $(SUBLIBS)  -LC:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = c:/nokiaqtsdk/maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp moc_mainwindow.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o
DIST          = ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		setupblackplastic.pro
QMAKE_TARGET  = setupblackplastic
DESTDIR       = 
TARGET        = setupblackplastic

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: setupblackplastic.pro  ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default/qmake.conf ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtGui.prl \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtCore.prl
	$(QMAKE) -spec ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -unix -o Makefile setupblackplastic.pro
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/mobility.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf:
../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtGui.prl:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -unix -o Makefile setupblackplastic.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/setupblackplastic1.0.0 || $(MKDIR) .tmp/setupblackplastic1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/setupblackplastic1.0.0/ && $(COPY_FILE) --parents mainwindow.h .tmp/setupblackplastic1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp .tmp/setupblackplastic1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/setupblackplastic1.0.0/ && (cd `dirname .tmp/setupblackplastic1.0.0` && $(TAR) setupblackplastic1.0.0.tar setupblackplastic1.0.0 && $(COMPRESS) setupblackplastic1.0.0.tar) && $(MOVE) `dirname .tmp/setupblackplastic1.0.0`/setupblackplastic1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/setupblackplastic1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: mainwindow.h
	C:/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr12/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

## black-plastic-theme 1.6-6

=== debian/changelog ===
black-plastic-theme (1.6-6) stable; urgency=low

  * more customized icons

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 19 Jun 2010 03:56:21 -0700 

=== debian/control ===
Source: black-plastic-theme
Section: user/system
Priority: optional
Maintainer: D-Iivil <ricky@hevikaraoke.fi>
Build-Depends: debhelper (>= 4.0.0), hildon-theme-layout-5 (>= 0.15.0), hildon-theme-layout-5 (< 0.16.0), hildon-theme-tools, imagemagick
Standards-Version: 3.6.0

Package: black-plastic-theme
Architecture: all
Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0)
Description: Black Plastic Theme For N900. After installation or upgrade, please select the theme to use and then do a reboot.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
 bWFnZVJlYWR5ccllPAAABkJJREFUeNrsWVtMlEcUPvuz63KxXFpwkSWmBkxALJoaowErmn2wbwXl
 CUWDCSHwqI0GmjQlJmoF2gcTqK8aX5pYkD4Qg41NCbcYabgkQIKagkRA7vddlt2eb9z5+++66642
 hSXdk0z+mflnZ853zjcz5/yrczqdtJVFoS0uIQAhAP93APrvb9z4B42iUGRkJMXExFBERES0Qa/P
 cDidn/NJtY1fb/hxpdPpHFyGeP3ulZWV0eXlZZqbm6Op6WlyOBx0/fp10nt1i6J8vO5wXFienz/F
 PzJzPWxT6KHTOcONxpnIqKg/WKefGEzfWx7gTvcOvf6L2bm5upcvX2ZMTk2RfW1t0+iBOyosLCyZ
 GfFZstlcGBMd/R3r+6ObvjabTW0YDIYT7J764eHhGLgLlPIEuNFiX1+nyclJmpmZiTYnJf3AYKLZ
 M5UOCWCa+ST4pigJRqOxdmJiIob5BuSCZ8Eia8yEv4aHKdFk+lZvMLSxYZsFgDW7/Q0AoqLFxcW0
 paUlYXW7qz+YBJR6PTmpMJXKV6zW34FLP8U85xcRbP2vrFarUHyzafMuAbWZGTk2qzWdmz160IUl
 jjv3rTPfgok2PveF3a6w0fcJAFCaZRtbPxou8hWdWiwW2r17t9p+8uQJDQwMUGFhoWjfvXuX4MGj
 R49SWlqa6BsdHaWmpiZRR9+hQ4eIPS3G9fT0UHd3N8XHx1Nubq7owxxyHbzDGu+QHW/2QIDHpKdn
 MjMzqbe3122T7dmzR1UeYjabRR+UPnLkiNqPNsDAeHxcq/2xsbFC+fn5eWpra/N7CYu7ApwPpEjP
 YGLchi5Xat1K27dvF/WnT5/S0NCQPJopPT1d/e2tW7fEewj6XQwQcuDAAfHs6+sLRCfnB3kgOTlZ
 hBqggCcAOebgwYMqSCiI8ZAXL14IT3V2doqx8IScAwbC3JD+/n4KVC8FAwMpUjn5BIVAESm4N7TW
 lB7D+NnZWRU85srIyBAU2rVrl5sRsKcgeB+ITh9EIe0mBz2kcufPn1fftbe306tXr1QPdHV1iXpO
 Tg5duXJFPCHo14KW40AlDmn86vSvADx//lycEs3NzbS6uurmHTy1HmhpaaFHjx6p4/BEG/1aD4yM
 jAjg4eHhdPz48YAA6EAFlk9B0S2WCnzNR22NPhhDhvdKaAYHB7c2AO0mCuXEm+EBfwMuX75M2dnZ
 xKE21dbWihjl3r174t2ZM2fUMfv37xf1O3fu0P37991+602ePXtGra2tdO7cOfG8efOmuMm1c2Et
 rDk2NvZhHsDkUgFMXlZW5nWMXFC2ExMT6fTp0z6V9yU1NTVuc6FeWVnpL2/Wka8iYxNYAR4ACNnn
 +mpAqampol5VVSXGSLAyLoIVEW2iwNLSS5cuXXJT5OTJkwL4+Pg4nT17lkpKSkQdfXjnTT9BIeS9
 /gQhslSIU063zzBSSktL3fpx0UFSUlJo586dQhm5KJ7afBtPjJHUQtKCUl9fTyaTSYz1paeCU8jf
 F2ppWcTrUERKVFSUz98g8pRey8rK8mskOS8ASw/m5eWJ4k3k6akgwMLHLGkVbZEWQmyTn59PDx48
 EJaRi1VXV6tjbt++7WZRgNV6zdPinm2sgXlhcVAMBXX0Iezw1AvhhgDQ2NiIyNCJ+Nobx+QC2oJT
 CMm/x1c0r/WGhgbq6OjwOZ8217169aoI06Wgjj7P9RE9HDt2THwP0iEn5gTDxBFiN0eApmBO6KUg
 GORg79Tjx4/r9XAFnySLnFz8yXvhy60AgGWpqKioX94DCifWy8XFxb/AG5JjwVqQyOzdu/dXvmdG
 JAAHZ1NhFy9ebOAE/DdwO1hBILdgANMVFRW1fAKuam/idU7vZuvq6r6Ji4sbkBs0mIDA8syQhfLy
 8oqCgoIuz1ACF4HdYrH0PXz48MLhw4cbeaOs4POGNrvaaMHaoPXCwoIzKSmph4/tsmvXrv3MgKww
 ujiFPJTDDjZardYdfFSe4JTRwiljMk8Qa7PZIviHG4aE11rne2SW46HXfBF2cozVxCBwva9I5b0B
 0Eap+FcmknPUT1j5j/jm27ZRJxR0AgCDwbCUkJAwzSfkAnfD6ra3gL6DHjoXEJQwV3sjz1gohq8E
 yHnXXHV6HwChjCwEIAQgBOC/l78FGADAZx5KXjjZ4QAAAABJRU5ErkJggg==
XSBC-Bugtracker: mailto:ricky@hevikaraoke.fi
XSBC-Maemo-Display-Name: Black Plastic Theme

=== debian/rules ===
--- 
+++ 
@@ -72,8 +72,10 @@
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol
+	cp -rf $(CURDIR)/applications/icons/ $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/
 	cp -rf $(CURDIR)/applications/transitions/*.ini  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
-	maemo-optify $(PKGNAME)
+	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
+#	maemo-optify $(PKGNAME)
 	dh_md5sums
 	dh_builddeb

## black-plastic-theme 1.6-7

=== debian/changelog ===
black-plastic-theme (1.6-7) stable; urgency=low

  * minor tuning on desktop backgrounds 2 & 3
  * changed icon for telephone call in call log

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 24 Jun 2010 03:56:21 -0700 

## black-plastic-theme 1.6-8

=== debian/changelog ===
black-plastic-theme (1.6-8) stable; urgency=low

  * new folder icons in file manager

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 25 Jun 2010 03:56:21 -0700 

## black-plastic-theme 1.6-9

=== debian/changelog ===
black-plastic-theme (1.6-9) stable; urgency=low

  * minor tweaking

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 25 Jun 2010 03:56:21 -0700 

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
 Package: black-plastic-theme
 Architecture: all
 Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0)
-Description: Black Plastic Theme For N900. After installation or upgrade, please select the theme to use and then do a reboot.
+Description: 
+ Black Plastic Theme For N900. After installation or upgrade, please select the theme to use and then do a reboot.
+ Credits for SMS icons: D4rKlar, credits for transitions: MohammadAG, credist for folder icons: Ben Fleming
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
  bWFnZVJlYWR5ccllPAAABkJJREFUeNrsWVtMlEcUPvuz63KxXFpwkSWmBkxALJoaowErmn2wbwXl

## black-plastic-theme 1.6-10

=== debian/changelog ===
black-plastic-theme (1.6-10) stable; urgency=low

  * even more minor tweaking
  * installer now asks if you prefer to install custom transitions or not

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 26 Jun 2010 03:56:21 -0700 

## black-plastic-theme 1.6-11

=== debian/changelog ===
black-plastic-theme (1.6-11) stable; urgency=low

  * even more minor tweaking

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 26 Jun 2010 04:56:21 -0700 

=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 	dh_installdeb
 	dh_gencontrol
 	cp -rf $(CURDIR)/applications/icons/ $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/
-	cp -rf $(CURDIR)/applications/transitions/*.ini  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
+	cp -rf $(CURDIR)/applications/transitions/*  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
 #	maemo-optify $(PKGNAME)
 	dh_md5sums

## black-plastic-theme 1.6-12

=== debian/changelog ===
black-plastic-theme (1.6-12) stable; urgency=low

  * even more minor tweaking

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 26 Jun 2010 05:56:21 -0700 

## black-plastic-theme 1.6-13

=== debian/changelog ===
black-plastic-theme (1.6-13) stable; urgency=low

  * tuned the setup wizard a bit

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 28 Jun 2010 05:56:21 -0700 

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: black-plastic-theme
 Architecture: all
-Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0)
+Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0), zenity
 Description: 
  Black Plastic Theme For N900. After installation or upgrade, please select the theme to use and then do a reboot.
  Credits for SMS icons: D4rKlar, credits for transitions: MohammadAG, credist for folder icons: Ben Fleming

=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,8 @@
 	cp -rf $(CURDIR)/applications/icons/ $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/
 	cp -rf $(CURDIR)/applications/transitions/*  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
+	cp -rf $(CURDIR)/applications/variations  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
+	cp -rf $(CURDIR)/applications/setup  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 #	maemo-optify $(PKGNAME)
 	dh_md5sums
 	dh_builddeb

## black-plastic-theme 1.6-14

=== debian/changelog ===
black-plastic-theme (1.6-14) stable; urgency=low

  * icon for launching the setup is now added to application launcher

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 28 Jun 2010 06:56:21 -0700 

=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,15 @@
 	cp -rf $(CURDIR)/applications/transitions/*  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
 	cp -rf $(CURDIR)/applications/variations  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
-	cp -rf $(CURDIR)/applications/setup  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
+	mkdir -p $(CURDIR)/debian/$(PKGNAME)/sbin/
+	cp -rf $(CURDIR)/applications/sbin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/sbin/setupblackplastic
+	mkdir -p $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/
+	cp -rf $(CURDIR)/applications/etc/sudoers.d/setupblackplastic.sudoers $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/setupblackplastic.sudoers
+	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/scalable/hildon/
+	cp -rf $(CURDIR)/applications/icon/blackplastic.png $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/scalable/hildon/blackplastic.png
+	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon/
+	cp -rf $(CURDIR)/applications/desktop/setupblackplastic.desktop $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon/setupblackplastic.desktop
+#	cp -rf $(CURDIR)/applications/setup  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 #	maemo-optify $(PKGNAME)
 	dh_md5sums
 	dh_builddeb

## black-plastic-theme 1.6-16

=== debian/changelog ===
black-plastic-theme (1.6-16) stable; urgency=low

  * image (icon) for the setup wizard launcher added, hopefully it will work now...

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 28 Jun 2010 06:56:21 -0700 

black-plastic-theme (1.6-15) stable; urgency=low

  * image (icon) for the setup wizard launcher added

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 28 Jun 2010 06:56:21 -0700 

## black-plastic-theme 1.6-17

=== debian/changelog ===
black-plastic-theme (1.6-17) stable; urgency=low

  * edited the package description to be more suitable
  * fixed some possible error-situations in setupblackplastic -script

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 28 Jun 2010 10:56:21 -0700 

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
 Architecture: all
 Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0), zenity
 Description: 
- Black Plastic Theme For N900. After installation or upgrade, please select the theme to use and then do a reboot.
- Credits for SMS icons: D4rKlar, credits for transitions: MohammadAG, credist for folder icons: Ben Fleming
+ Dark 4-in-1 theme for N900. This package includes Black Plastic theme with bundled color scheme selector (you can choose if you want black, blue, orange or pink color scheme). Includes also bunch of custom icons and optional window transitions.
+ Credits for SMS icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
+ For more information head to: http://talk.maemo.org/showthread.php?p=732491
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
  bWFnZVJlYWR5ccllPAAABkJJREFUeNrsWVtMlEcUPvuz63KxXFpwkSWmBkxALJoaowErmn2wbwXl

=== debian/rules ===
--- 
+++ 
@@ -80,8 +80,8 @@
 	cp -rf $(CURDIR)/applications/sbin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/sbin/setupblackplastic
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/
 	cp -rf $(CURDIR)/applications/etc/sudoers.d/setupblackplastic.sudoers $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/setupblackplastic.sudoers
-	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/scalable/hildon/
-	cp -rf $(CURDIR)/applications/icon/blackplastic.png $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/scalable/hildon/blackplastic.png
+	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/48x48/hildon/
+	cp -rf $(CURDIR)/applications/icon/blackplastic.png $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/48x48/hildon/blackplastic.png
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon/
 	cp -rf $(CURDIR)/applications/desktop/setupblackplastic.desktop $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon/setupblackplastic.desktop
 #	cp -rf $(CURDIR)/applications/setup  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/

## black-plastic-theme 1.6-18

=== debian/changelog ===
black-plastic-theme (1.6-18) stable; urgency=low

  * setup shortcut now does not open xterm window to be shown to user

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 29 Jun 2010 10:56:21 -0700 

=== debian/rules ===
--- 
+++ 
@@ -78,6 +78,8 @@
 	cp -rf $(CURDIR)/applications/variations  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/sbin/
 	cp -rf $(CURDIR)/applications/sbin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/sbin/setupblackplastic
+	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/sbin/
+	cp -rf $(CURDIR)/applications/sbin/launchblack $(CURDIR)/debian/$(PKGNAME)/usr/sbin/launchblack
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/
 	cp -rf $(CURDIR)/applications/etc/sudoers.d/setupblackplastic.sudoers $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/setupblackplastic.sudoers
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/48x48/hildon/

## black-plastic-theme 1.6-19

=== debian/changelog ===
black-plastic-theme (1.6-19) stable; urgency=low

  * setup shortcut moved under settings

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 29 Jun 2010 10:56:21 -0700 

## black-plastic-theme 2.000

=== debian/changelog ===
black-plastic-theme (2.000) stable; urgency=low

  * tweaked the package description and prepared the package to be promoted to extras

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 30 Jun 2010 10:56:21 -0700 

black-plastic-theme (1.6-20) stable; urgency=low

  * changed phonecall icons

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 30 Jun 2010 10:56:21 -0700 

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
 Architecture: all
 Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0), zenity
 Description: 
- Dark 4-in-1 theme for N900. This package includes Black Plastic theme with bundled color scheme selector (you can choose if you want black, blue, orange or pink color scheme). Includes also bunch of custom icons and optional window transitions.
- Credits for SMS icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
+ Dark 4-in-1 theme for N900. This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings if you want black, blue, orange or pink color scheme). Includes also bunch of custom icons and optional window transitions.
+ Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
+ Big thanks for help to MohammadAG and alterego!
  For more information head to: http://talk.maemo.org/showthread.php?p=732491
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
@@ -44,5 +45,5 @@
  0Eap+FcmknPUT1j5j/jm27ZRJxR0AgCDwbCUkJAwzSfkAnfD6ra3gL6DHjoXEJQwV3sjz1gohq8E
  yHnXXHV6HwChjCwEIAQgBOC/l78FGADAZx5KXjjZ4QAAAABJRU5ErkJggg==
 XSBC-Bugtracker: mailto:ricky@hevikaraoke.fi
-XSBC-Maemo-Display-Name: Black Plastic Theme
+XSBC-Maemo-Display-Name: Black Plastic Theme Pack

=== debian/rules ===
--- 
+++ 
@@ -78,14 +78,16 @@
 	cp -rf $(CURDIR)/applications/variations  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/sbin/
 	cp -rf $(CURDIR)/applications/sbin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/sbin/setupblackplastic
-	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/sbin/
-	cp -rf $(CURDIR)/applications/sbin/launchblack $(CURDIR)/debian/$(PKGNAME)/usr/sbin/launchblack
+	mkdir -p $(CURDIR)/debian/$(PKGNAME)/opt/rx/
+	cp -rf $(CURDIR)/applications/sbin/launchblack $(CURDIR)/debian/$(PKGNAME)/opt/rx/setupblackplastic
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/
 	cp -rf $(CURDIR)/applications/etc/sudoers.d/setupblackplastic.sudoers $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/setupblackplastic.sudoers
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/48x48/hildon/
 	cp -rf $(CURDIR)/applications/icon/blackplastic.png $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/48x48/hildon/blackplastic.png
-	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon/
-	cp -rf $(CURDIR)/applications/desktop/setupblackplastic.desktop $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon/setupblackplastic.desktop
+	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon-control-panel/
+	cp -rf $(CURDIR)/applications/desktop/plastic-theme-ui.desktop $(CURDIR)/debian/$(PKGNAME)/usr/share/applications/hildon-control-panel/plastic-theme-ui.desktop
+	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/
+	cp -rf $(CURDIR)/applications/desktop/libplastictheme-cploader.so $(CURDIR)/debian/$(PKGNAME)/usr/lib/hildon-control-panel/libplastictheme-cploader.so
 #	cp -rf $(CURDIR)/applications/setup  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 #	maemo-optify $(PKGNAME)
 	dh_md5sums

## black-plastic-theme 2.001

=== debian/changelog ===
black-plastic-theme (2.001) stable; urgency=low

  * changed the cancel -button behaviour to cancel the whole wizard instead of just current dialog
  * added two new color schemes, red and green

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 31 Jun 2010 09:27:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 Package: black-plastic-theme
 Architecture: all
 Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0), zenity
-Description: 
- Dark 4-in-1 theme for N900. This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings if you want black, blue, orange or pink color scheme). Includes also bunch of custom icons and optional window transitions.
+Description:  Dark 4-in-1 theme for N900. 
+ This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings if you want black, blue, orange or pink color scheme). 
+ Includes also bunch of custom icons and optional window transitions.
  Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
  Big thanks for help to MohammadAG and alterego!
  For more information head to: http://talk.maemo.org/showthread.php?p=732491

## black-plastic-theme 2.002

=== debian/changelog ===
black-plastic-theme (2.002) stable; urgency=low

  * setup script won't now reset your theme to NSeries after selecting new variation, instead the new color scheme is loaded immediately

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 31 Jun 2010 10:28:21 +0200

## black-plastic-theme 2.003

=== debian/changelog ===
black-plastic-theme (2.003) stable; urgency=low

  * tuned the setup script a bit more for not showing the reboot text if Black Plastic theme isn't currently active

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 31 Jun 2010 11:44:21 +0200

## black-plastic-theme 2.004

=== debian/changelog ===
black-plastic-theme (2.004) stable; urgency=low

  * removed un-necessary function from setup script (restart hildon-status-menu)

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 31 Jun 2010 15:06:21 +0200

## black-plastic-theme 2.005

=== debian/changelog ===
black-plastic-theme (2.005) stable; urgency=low

  * added the hildon-status-menu to be restarted again since it was necessary...

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 31 Jun 2010 15:06:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,6 @@
 Package: black-plastic-theme
 Architecture: all
 Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0), zenity
-Description:  Dark 4-in-1 theme for N900. 
- This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings if you want black, blue, orange or pink color scheme). 
- Includes also bunch of custom icons and optional window transitions.
- Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
- Big thanks for help to MohammadAG and alterego!
- For more information head to: http://talk.maemo.org/showthread.php?p=732491
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
  bWFnZVJlYWR5ccllPAAABkJJREFUeNrsWVtMlEcUPvuz63KxXFpwkSWmBkxALJoaowErmn2wbwXl
@@ -45,6 +39,12 @@
  ujiFPJTDDjZardYdfFSe4JTRwiljMk8Qa7PZIviHG4aE11rne2SW46HXfBF2cozVxCBwva9I5b0B
  0Eap+FcmknPUT1j5j/jm27ZRJxR0AgCDwbCUkJAwzSfkAnfD6ra3gL6DHjoXEJQwV3sjz1gohq8E
  yHnXXHV6HwChjCwEIAQgBOC/l78FGADAZx5KXjjZ4QAAAABJRU5ErkJggg==
+Description:  Dark 4-in-1 theme for N900. 
+ This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings if you want black, blue, orange or pink color scheme). 
+ Includes also bunch of custom icons and optional window transitions.
+ Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
+ Big thanks for help to MohammadAG and alterego!
+ For more information head to: http://talk.maemo.org/showthread.php?p=732491
 XSBC-Bugtracker: mailto:ricky@hevikaraoke.fi
 XSBC-Maemo-Display-Name: Black Plastic Theme Pack

## black-plastic-theme 2.006

=== debian/changelog ===
black-plastic-theme (2.006) stable; urgency=low

  * added variation, coffee

 -- D-Iivil <ricky@hevikaraoke.fi>  Fri, 2 Jul 2010 13:06:21 +0200

## black-plastic-theme 2.007

=== debian/changelog ===
black-plastic-theme (2.007) stable; urgency=low

  * removed temporaly coffee variation backgrounds

 -- D-Iivil <ricky@hevikaraoke.fi>  Fri, 2 Jul 2010 13:06:21 +0200

## black-plastic-theme 2.008

=== debian/changelog ===
black-plastic-theme (2.008) stable; urgency=low

  * fixed background issue after using coffee variation
  * tuned the setup wizard

 -- D-Iivil <ricky@hevikaraoke.fi>  Fri, 2 Jul 2010 13:06:21 +0200

=== debian/control ===
--- 
+++ 
@@ -39,12 +39,12 @@
  ujiFPJTDDjZardYdfFSe4JTRwiljMk8Qa7PZIviHG4aE11rne2SW46HXfBF2cozVxCBwva9I5b0B
  0Eap+FcmknPUT1j5j/jm27ZRJxR0AgCDwbCUkJAwzSfkAnfD6ra3gL6DHjoXEJQwV3sjz1gohq8E
  yHnXXHV6HwChjCwEIAQgBOC/l78FGADAZx5KXjjZ4QAAAABJRU5ErkJggg==
-Description:  Dark 4-in-1 theme for N900. 
- This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings if you want black, blue, orange or pink color scheme). 
+Description:  Dark 7-in-1 theme for N900. 
+ This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings if you want black, blue, coffee, green, orange, red or pink color scheme). 
  Includes also bunch of custom icons and optional window transitions.
  Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
  Big thanks for help to MohammadAG and alterego!
- For more information head to: http://talk.maemo.org/showthread.php?p=732491
+ For more information head to: http://talk.maemo.org/showthread.php?t=57456
 XSBC-Bugtracker: mailto:ricky@hevikaraoke.fi
 XSBC-Maemo-Display-Name: Black Plastic Theme Pack

## black-plastic-theme 2.009

=== debian/changelog ===
black-plastic-theme (2.009) stable; urgency=low

  * tuned the setup wizard even more

 -- D-Iivil <ricky@hevikaraoke.fi>  Fri, 2 Jul 2010 13:06:21 +0200

## black-plastic-theme 2.010

=== debian/changelog ===
black-plastic-theme (2.010) stable; urgency=low

  * fixed permissions in background files (user was not able to choose other backgrounds than black plastic...)

 -- D-Iivil <ricky@hevikaraoke.fi>  Fri, 5 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.011

=== debian/changelog ===
black-plastic-theme (2.011) stable; urgency=low

  * added few notifications to the setup script
  * few minor visual tweaks to the themes

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.012

=== debian/changelog ===
black-plastic-theme (2.012) stable; urgency=low

  * just small adjustments to the setup script

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.013

=== debian/changelog ===
black-plastic-theme (2.013) stable; urgency=low

  * colorized coffee variant to show correct colors in calendar

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.014

=== debian/changelog ===
black-plastic-theme (2.014) stable; urgency=low

  * colorized mediaplayer buttons and highlights to match the selected scheme

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.100

=== debian/changelog ===
black-plastic-theme (2.100) stable; urgency=low

  * this time actually colorized mediaplayer buttons and highlights to match the selected scheme
  * fixed top bar highlight errors in some apps

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.101

=== debian/changelog ===
black-plastic-theme (2.101) stable; urgency=low

  * added five new color schemes, yellow, deep blue, deep green, deep purple and deep red
  * tuned transitions a bit

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.103

=== debian/changelog ===
black-plastic-theme (2.103) stable; urgency=low

  * added one new variation, deep orange
  * tuned other deep -variations a bit
  * re-skinned the calendar application

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/control ===
--- 
+++ 
@@ -39,8 +39,8 @@
  ujiFPJTDDjZardYdfFSe4JTRwiljMk8Qa7PZIviHG4aE11rne2SW46HXfBF2cozVxCBwva9I5b0B
  0Eap+FcmknPUT1j5j/jm27ZRJxR0AgCDwbCUkJAwzSfkAnfD6ra3gL6DHjoXEJQwV3sjz1gohq8E
  yHnXXHV6HwChjCwEIAQgBOC/l78FGADAZx5KXjjZ4QAAAABJRU5ErkJggg==
-Description:  Dark 7-in-1 theme for N900. 
- This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings if you want black, blue, coffee, green, orange, red or pink color scheme). 
+Description:  Dark theme PACKAGE for N900. 
+ This package includes Black Plastic theme with bundled color scheme selector (you can choose from phone's settings what color scheme you want to use). 
  Includes also bunch of custom icons and optional window transitions.
  Credits for some icons: D4rKlar, credits for transitions: MohammadAG, credits for folder icons: Ben Fleming
  Big thanks for help to MohammadAG and alterego!

## black-plastic-theme 2.104

=== debian/changelog ===
black-plastic-theme (2.104) stable; urgency=low

  * fixed minor issue with coffee variant's media player after using some other variant
  * adjusted hue of deep blue variation's backgrounds

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.105

=== debian/changelog ===
black-plastic-theme (2.105) stable; urgency=low

  * fixed the setup script, it won't make Black Plastic as active theme if user had some other theme in use before launching the setup

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs debian/changelog
 	dh_installdocs
 	dh_link
 	dh_compress

## black-plastic-theme 2.106

=== debian/changelog ===
black-plastic-theme (2.106) stable; urgency=low

  * changed font from Nokia Sans to Droid Sans

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: black-plastic-theme
 Architecture: all
-Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0), zenity
+Depends: gtk2-engines-sapwood (>= 3.1.1), hildon-theme-cacher (>= 0.3.0), zenity, ttf-droid
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
  bWFnZVJlYWR5ccllPAAABkJJREFUeNrsWVtMlEcUPvuz63KxXFpwkSWmBkxALJoaowErmn2wbwXl

## black-plastic-theme 2.107

=== debian/changelog ===
black-plastic-theme (2.107) stable; urgency=low

  * added ability to choose font between Nokia Sans and Droid Sans
  * colorized the lockscreen buttons in some variations

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

## black-plastic-theme 2.108

=== debian/changelog ===
black-plastic-theme (2.108) stable; urgency=low

  * Plastic Setup is now written in QT

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -77,9 +77,10 @@
 	cp -rf $(CURDIR)/applications/gtk/* $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/gtk-2.0/
 	cp -rf $(CURDIR)/applications/variations  $(CURDIR)/debian/$(PKGNAME)/usr/share/themes/blackplastictheme-themedir/
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/sbin/
+	cp -rf $(CURDIR)/applications/sbin/launchblack $(CURDIR)/debian/$(PKGNAME)/sbin/launchblack
 	cp -rf $(CURDIR)/applications/sbin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/sbin/setupblackplastic
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/opt/rx/
-	cp -rf $(CURDIR)/applications/sbin/launchblack $(CURDIR)/debian/$(PKGNAME)/opt/rx/setupblackplastic
+	cp -rf $(CURDIR)/applications/bin/setupblackplastic $(CURDIR)/debian/$(PKGNAME)/opt/rx/setupblackplastic
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/
 	cp -rf $(CURDIR)/applications/etc/sudoers.d/setupblackplastic.sudoers $(CURDIR)/debian/$(PKGNAME)/etc/sudoers.d/setupblackplastic.sudoers
 	mkdir -p $(CURDIR)/debian/$(PKGNAME)/usr/share/icons/hicolor/48x48/hildon/

## black-plastic-theme 2.190

=== debian/changelog ===
black-plastic-theme (2.190) stable; urgency=low

  * Setup now allows to use any font installed to phone

 -- D-Iivil <ricky@hevikaraoke.fi>  Wed, 7 Jul 2010 13:14:21 +0200
